/*
	File:		BetterFlattenMovie.h
	
	Contains:	Patched version of FlattenMovie/FlattenMovieData.

	Written by:	John Wang

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		<1>		03/14/94	JW		Re-Created for Universal Headers.

	To Do:
	
*/

#ifdef THINK_C
#define		applec
#endif

/* ------------------------------------------------------------------------- */

pascal void BetterFlattenMovie(Movie theMovie, long movieFlattenFlags, 
			FSSpec *theFile, OSType creator, ScriptCode scriptTag,
			long createMovieFileFlags, short *resId, const StringPtr resName);

pascal Movie BetterFlattenMovieData(Movie theMovie, long movieFlattenFlags, 
			FSSpec *theFile, OSType creator, ScriptCode scriptTag,
			long createMovieFileFlags);
			
OSErr CountMoviesInDataFork(FSSpec *theFile, short *count);
OSErr SearchMoviesInDataFork(FSSpec *theFile, short index, long *fileOffset);
